<?php
require_once ("VLSIuser.php");
session_start();
$jmsess="ulozADDPUB";
$_SESSION[$jmsess]=true;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
        <title>Adding publications</title>
        
         <script type="text/javascript">
function kontrola_formulare()
{
  var text_autori = self.document.forms.addpub.autori;
  var text_popis = self.document.forms.addpub.popis;

 if (text_autori.value.length==0)
 {
 text_autori.focus();
 alert("Musíte vyplnit políčko Autoři.");
 return false;
 }
 if (text_autori.value.length>320)
 {
 text_autori.focus();
 alert("Autoři nesmí být delší jak 320 znaků.");
 return false;
 }
if (text_popis.value.length==0)
 {
 text_popis.focus();
 alert("Musíte vyplnit políčko Popis.");
 return false;
 }

}
</script>
        
    </head>
    <body style="padding:20px;">
<h3 style="margin-left:50px;">Vkládání nové publikace</h3>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>
<br /><br /><br />
<p style="width:400px;">Položky označené červenou hvězdičkou musí být vyplněny. Můžete do popisu zadávat odkazy. Budou automaticky rozpoznány. Tagy nebudou interpretovány.
Názvy souborů smí obsahovat pouze abecední znaky a čisla.</p>

<?php
//zobrazeni chyb
if(isset($_GET['autorichyba']) && $_GET['autorichyba']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko Autoři</font></b>";}
if(isset($_GET['popischyba'])&& $_GET['popischyba']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko popis</font></b>"; }
if(isset($_GET['autdelchyba'])&& $_GET['autdelchyba']==true){echo "<br /><b><font color=\"red\">Délka políčka Autoři přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['rokchyba'])&& $_GET['rokchyba']==true){echo "<br /><b><font color=\"red\">Rok musí být v nabízeném rozmezí!</font></b>"; }
if(isset($_GET['stav']) && $_GET['stav']==6){echo "<br /><b><font color=\"red\">Součet délek názvů souborů je moc dlouhý nebo obsahuje nepřípustné znaky. Přejmenujte prosím soubory.</font></b>";}

//inicializace formulare
if (isset($_GET['autori'])){
  if ($slashes==1){$autori=htmlspecialchars(stripslashes($_GET['autori']));}else
  {$autori=htmlspecialchars($_GET['autori']);}
} else{$autori="";}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis="";}

if (isset($_GET['rok'])){
  if ($slashes==1){$rok=htmlspecialchars(stripslashes($_GET['rok']));}else
  {$rok=htmlspecialchars($_GET['rok']);}
} else{$rok=(int)date("Y");}
?>



<form name="addpub" onsubmit="return kontrola_formulare();" action="insertpb.php?<?php echo(SID); ?>" method="post" enctype="multipart/form-data">
<b>Autoři <font color="red">*</font></b><br /><textarea name="autori" cols="40" rows="2"><?php echo $autori;?></textarea><br />
<b>Popis <font color="red">*</font></b><br /><textarea name="popis" cols="40" rows="3"><?php echo $popis;?></textarea><br />
<br /><b>Rok</b><br />
<select name="rok">
<?php
$year=(int)date("Y");
for($vypisrok=($year-20);$vypisrok<=$year;$vypisrok++)
{   echo "<option value=\"$vypisrok\" ";
    if ($vypisrok==$rok){echo "selected=\"selected\"";}
    echo " >$vypisrok</option>";}
?>
</select><br /><br />

<b>Priložit soubor:</b><br />
<input type="file" name="soubor1" size="40" /><br />
<input type="file" name="soubor2" size="40" />
<?php
$maxsize=ini_get('upload_max_filesize');
echo ("Max. velikost $maxsize");
?><br /><br />
<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>

</body>
</html>

